Bug 481386 - actools build warnings during nfs-utils autogen; only on Fedora 10
actools build warnings during nfs-utils autogen; only on Fedora 10
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 17:35 EST by Chuck Lever
Modified: 2010-01-08 08:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:41:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
autoconf 2.63 wants cached results to be named foo_cv_bar (1.62 KB, patch)
2009-02-20 12:47 EST, Chuck Lever
no flags Details | Diff
Updated fix for this bug. The previous version did not change the uses of $libblkid_is_recent in configure.ac. (2.30 KB, patch)
2009-03-04 14:09 EST, Chuck Lever
no flags Details | Diff

  None (edit)
Description Chuck Lever 2009-01-23 17:35:15 EST
Description of problem:

Version-Release number of selected component (if applicable):
nfs-utils 1.1.4; not sure which actools package is installed on my F10 system

How reproducible:
Always

Steps to Reproduce:
1. cd to your nfs-utils source directory
2. make distclean
3. sh ./autogen.sh
  
Actual results:
[cel@ingres main]$ make distclean
make: *** No rule to make target `distclean'.  Stop.
[cel@ingres main]$ sh ./autogen.sh
cleaning up ............. done
configure.ac:219: warning: AC_CACHE_VAL(libblkid_is_recent, ...): suspicious cache-id, must contain _cv_ to be cached
../../lib/autoconf/general.m4:1974: AC_CACHE_VAL is expanded from...
aclocal/libblkid.m4:2: AC_BLKID_VERS is expanded from...
configure.ac:219: the top level
configure.ac:219: warning: AC_CACHE_VAL(libblkid_is_recent, ...): suspicious cache-id, must contain _cv_ to be cached
../../lib/autoconf/general.m4:1974: AC_CACHE_VAL is expanded from...
aclocal/libblkid.m4:2: AC_BLKID_VERS is expanded from...
configure.ac:219: the top level
configure.ac:219: warning: AC_CACHE_VAL(libblkid_is_recent, ...): suspicious cache-id, must contain _cv_ to be cached
../../lib/autoconf/general.m4:1974: AC_CACHE_VAL is expanded from...
aclocal/libblkid.m4:2: AC_BLKID_VERS is expanded from...
configure.ac:219: the top level
configure.ac:159: installing `./compile'
configure.ac:7: installing `./install-sh'
configure.ac:7: installing `./missing'
support/export/Makefile.am: installing `./depcomp'
configure.ac:219: warning: AC_CACHE_VAL(libblkid_is_recent, ...): suspicious cache-id, must contain _cv_ to be cached
../../lib/autoconf/general.m4:1974: AC_CACHE_VAL is expanded from...
aclocal/libblkid.m4:2: AC_BLKID_VERS is expanded from...
configure.ac:219: the top level
[cel@ingres main]$


Expected results:
[cel@tarkus main]$ make distclean
make: *** No rule to make target `distclean'.  Stop.
[cel@tarkus main]$ sh ./autogen.sh
cleaning up ............. done
configure.ac:159: installing `./compile'
configure.ac:7: installing `./install-sh'
configure.ac:7: installing `./missing'
support/export/Makefile.am: installing `./depcomp'
[cel@tarkus main]$

Additional info:
Otherwise nfs-utils builds on Fedora 10 seem usable.  This may be an ACTOOLS bug, not an nfs-utils bug.
Comment 1 Chuck Lever 2009-02-20 12:47:54 EST
Created attachment 332738 [details]
autoconf 2.63 wants cached results to be named foo_cv_bar

Definitely an nfs-utils bug.  Proposed patch attached.
Comment 2 Chuck Lever 2009-03-04 14:09:47 EST
Created attachment 334036 [details]
Updated fix for this bug.  The previous version did not change the uses of $libblkid_is_recent in configure.ac.
Comment 3 Steve Dickson 2009-03-04 16:16:21 EST
Fixed in nfs-utils-1.1.4-21
Comment 4 Bug Zapper 2009-11-18 07:44:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:41:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Karel Volný 2010-01-08 08:54:52 EST
ahem, this is not WONTFIX, it is fixed

Note You need to log in before you can comment on or make changes to this bug.